Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Functions | Variables
stubs.c File Reference
`#include "ruby.h"`
`#include "stubs.h"`
`#include <tcl.h>`
`#include <tk.h>`
Include dependency graph for stubs.c:

Go to the source code of this file.

## Functions
static void | _nativethread_consistency_check (Tcl_Interp *ip)
int | ruby_open_tcl_dll (char *appname)
int | ruby_open_tk_dll ()
int | ruby_open_tcltk_dll (char *appname)
int | tcl_stubs_init_p ()
int | tk_stubs_init_p ()
Tcl_Interp * | ruby_tcl_create_ip_and_stubs_init (int *st)
int | ruby_tcl_stubs_init ()
int | ruby_tk_stubs_init (Tcl_Interp *tcl_ip)
int | ruby_tk_stubs_safeinit (Tcl_Interp *tcl_ip)
int | ruby_tcltk_stubs ()

## Variables
static int | nativethread_checked = 0
static int | open_tcl_dll = 0
static int | call_tk_stubs_init = 0

## Function Documentation

static void _nativethread_consistency_check | ( | Tcl_Interp * | ip) |  |
| static

Definition at line 42 of file stubs.c.

References NULL, rb_warn(), and rb_warning().

Referenced by ruby_tcl_create_ip_and_stubs_init().

int ruby_open_tcl_dll | ( | char * | appname) |  |

Definition at line 457 of file stubs.c.

References TCLTK_STUBS_OK.

Referenced by Init_tcltklib(), ruby_open_tcltk_dll(), ruby_open_tk_dll(), and ruby_tcl_create_ip_and_stubs_init().

int ruby_open_tcltk_dll | ( | char * | appname) |  |

Definition at line 486 of file stubs.c.

References ruby_open_tcl_dll(), and ruby_open_tk_dll().

int ruby_open_tk_dll | ( | ) |  |

Definition at line 472 of file stubs.c.

References rb_argv0, RSTRING_PTR, ruby_open_tcl_dll(), and TCLTK_STUBS_OK.

Referenced by ruby_open_tcltk_dll().

Tcl_Interp* ruby_tcl_create_ip_and_stubs_init | ( | int * | st) |  |

Definition at line 509 of file stubs.c.

References _nativethread_consistency_check(), FAIL_CreateInterp, NULL, rb_argv0, RSTRING_PTR, and ruby_open_tcl_dll().

Referenced by ip_init().

int ruby_tcl_stubs_init | ( | ) |  |

Definition at line 533 of file stubs.c.

References TCLTK_STUBS_OK.

Referenced by ip_init(), and tcl_stubs_check().

int ruby_tcltk_stubs | ( | ) |  |

Definition at line 587 of file stubs.c.

References rb_argv0, and RSTRING_PTR.

int ruby_tk_stubs_init | ( | Tcl_Interp * | tcl_ip) |  |

Definition at line 542 of file stubs.c.

References FAIL_Tk_Init, and TCLTK_STUBS_OK.

Referenced by ip_init(), and tcltkip_init_tk().

int ruby_tk_stubs_safeinit | ( | Tcl_Interp * | tcl_ip) |  |

Definition at line 563 of file stubs.c.

References FAIL_Tk_Init, and TCLTK_STUBS_OK.

Referenced by tcltkip_init_tk().

int tcl_stubs_init_p | ( | ) |  |

Definition at line 494 of file stubs.c.

Referenced by tcl_stubs_check().

int tk_stubs_init_p | ( | ) |  |

Definition at line 500 of file stubs.c.

References call_tk_stubs_init.

Referenced by ip_allow_ruby_exit_set(), ip_create_console_core(), ip_create_slave_core(), ip_finalize(), ip_has_mainwindow_p_core(), ip_make_safe_core(), ip_rb_threadTkWaitCommand(), ip_rbTkWaitCommand(), lib_eventloop_core(), lib_num_of_mainwindows_core(), and lib_watchdog_core().

## Variable Documentation

int call_tk_stubs_init = 0
| static

Definition at line 451 of file stubs.c.

Referenced by tk_stubs_init_p().

int nativethread_checked = 0
| static

Definition at line 39 of file stubs.c.

int open_tcl_dll = 0
| static

Definition at line 450 of file stubs.c.